Subject: [Teas] I-D Action: draft-ietf-teas-actn-vn-yang-05.txt

From: [email-masked]
Date: Fri, 14 Jun 2019 11:28:06 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Traffic Engineering Architecture and Signaling WG of the IETF.

        Title           : A Yang Data Model for VN Operation
        Authors         : Young Lee
                          Dhruv Dhody
                          Daniele Ceccarelli
                          Igor Bryskin
                          Bin Yeong Yoon
	Filename        : draft-ietf-teas-actn-vn-yang-05.txt
	Pages           : 56
	Date            : 2019-06-14

Abstract:
   This document provides a YANG data model generally applicable to any
   mode of Virtual Network (VN) operation.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-teas-actn-vn-yang/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-teas-actn-vn-yang-05
https://datatracker.ietf.org/doc/html/draft-ietf-teas-actn-vn-yang-05

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-teas-actn-vn-yang-05

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Young Lee <[email-masked]>
Date: Fri, 14 Jun 2019 18:44:04 +0000

Hi WG,

The changes for this revision are as follows:

- Added in Introduction Section on how the VN model can support 5G transport context. 
- in Section 3.2: case 2 --- clarified how VN model is used along with TE-topo Connectivity matrices construct and added a paragraph to introduce the JSON example of the models (in Section 7)
- For YANG model: converted "ltp" from configurable parameter to leafref type; added references for imported modules.
- Editorial: affiliation changes for a co-author; Compliant with five front page authors' list. 

Thanks.
Young & Dhruv

-----Original Message-----
From: Teas [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Friday, June 14, 2019 1:28 PM
To: [email-masked]
Cc: [email-masked]
Subject: [Teas] I-D Action: draft-ietf-teas-actn-vn-yang-05.txt

Abstract:

The IETF datatracker status page for this draft is:
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-teas-actn-vn-yang%2F&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C23bbba7a415e42273bdf08d6f0f61cc1%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636961337182013087&amp;sdata=Pon4NjwLPV0j1hAwgvNh8TepZRDLM1HO53P9fSPCzMo%3D&amp;reserved=0

There are also htmlized versions available at:
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-teas-actn-vn-yang-05&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C23bbba7a415e42273bdf08d6f0f61cc1%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636961337182013087&amp;sdata=ENezgfB4ecxU5oY7FZlJhshThViEwAt76OGSIVeNlAg%3D&amp;reserved=0
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-teas-actn-vn-yang-05&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C23bbba7a415e42273bdf08d6f0f61cc1%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636961337182013087&amp;sdata=v3CdJ9TBjLcD5w4odZrzpIdPN0mwwbLR169GkUevz0E%3D&amp;reserved=0

A diff from the previous version is available at:
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-teas-actn-vn-yang-05&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C23bbba7a415e42273bdf08d6f0f61cc1%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636961337182013087&amp;sdata=fotiyiQyB4d6fRUcBRdV8zyl5RgtO4ndPnnUegf9RZ0%3D&amp;reserved=0

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

_______________________________________________
Teas mailing list
[email-masked]
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fteas&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C23bbba7a415e42273bdf08d6f0f61cc1%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636961337182013087&amp;sdata=wczNaXfyFgPPQRvP80FdeZqtScb%2BicAn4B2fTz0x1H0%3D&amp;reserved=0

---

From: Young Lee <[email-masked]>
Date: Fri, 14 Jun 2019 18:47:09 +0000

Hi WG,

One more thing, please make use of github for raising issues and providing comments on VN Yang model:
https://github.com/younglee-ietf/actn-cmi

Thanks.
Young

-----Original Message-----
From: Teas [mailto:[email-masked]] On Behalf Of Young Lee
Sent: Friday, June 14, 2019 1:44 PM
To: [email-masked]
Subject: [Teas] FW: I-D Action: draft-ietf-teas-actn-vn-yang-05.txt

Hi WG,

Thanks.
Young & Dhruv

-----Original Message-----
From: Teas [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Friday, June 14, 2019 1:28 PM
To: [email-masked]
Cc: [email-masked]
Subject: [Teas] I-D Action: draft-ietf-teas-actn-vn-yang-05.txt

Abstract:

_______________________________________________
Teas mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/teas

_______________________________________________
Teas mailing list
[email-masked]
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fteas&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C3d8001bd555a4a84ea3c08d6f0f85898%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636961346760485629&amp;sdata=m0zJ%2F%2FiLuB061XPqZbRAAKOG8nR%2BVozXXHbmZ38xnQA%3D&amp;reserved=0

---

From: tom petch <[email-masked]>
Date: Thu, 20 Jun 2019 16:24:46 +0000

----- Original Message -----
From: "Young Lee" <[email-masked]>
To: <[email-masked]>
Sent: Friday, June 14, 2019 7:44 PM

> - in Section 3.2: case 2 --- clarified how VN model is used along with
TE-topo Connectivity matrices construct and added a paragraph to
introduce the JSON example of the models (in Section 7)
> - For YANG model: converted "ltp" from configurable parameter to
leafref type; added references for imported modules.
> - Editorial: affiliation changes for a co-author; Compliant with five
front page authors' list.

As I said of -03, rather short on references and some that are seem
wrong.
Look, for example, at
draft-ietf-pim-igmp-mld-yang-15.
to see the sort of level of reference that a YANG module benefits from.

Several of the existing references should be Normative, according to
YANG Guidelines.

You have
       import ietf-te-types { prefix "te-types";
           reference"I-D.ietf-teas-yang-te-types: Traffic Engineering

but in the list of prefixes, always a good thing to have, is
      | te-types| ietf-te-types  | [TE-Tunnel]     |

while the I-D References has
   [TE-tunnel] T. Saad, et al., "A YANG Data Model for Traffic
             Engineering Tunnels and Interfaces", work in progress:
             draft-ietf-teas-yang-te.
which looks like a mismatch.

VN is expanded in the text but I think needs expanding in the Title of
the I-D and in the YANG module; others need expanding on first use;
L3SM,  L2SM  and L1CSM

And I think you should provide a reference for VN up front, something
along the lines of
"For more information on Virtual Networks, see [RFC8453]"
in the Introduction, first paragraph. (I don't think that RFC8453 is a
brilliant reference for VN but I cannot find a better one).

Tom Petch